import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { DatabaseBackupCreateManyUserInputObjectSchema as DatabaseBackupCreateManyUserInputObjectSchema } from './DatabaseBackupCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => DatabaseBackupCreateManyUserInputObjectSchema), z.lazy(() => DatabaseBackupCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const DatabaseBackupCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.DatabaseBackupCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupCreateManyUserInputEnvelope>;
export const DatabaseBackupCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
